Synnefo - Bug # 481

Status: Closed Priority: Medium
Author: Vangelis Koukis Category: old_synnefo
Created: 05/10/2011 Assignee: Mike Muzurakis
Updated: 02/08/2013 Due date:

Subject: To Ul Bpioket e AdBog TpOTIo TO €LKOVIdLO KABE punxavig

Description

Wdayvovtag neploodtepa yla to bug #477, Bprika autd oto ui/templates/machines.html:
/I return value from metadata key "OS", if it exists
function os_icon(metadata) {
if (Imetadata) {
return 'unknown';
}
if (metadata.values.OS undefined || metadata.values.OS ") {
return 'unknown';
}else {
if (UrlExists("static/machines/" + metadata.values.OS + '-on.png')) {
return metadata.values.OS;
}else {
return 'unknown’;

}

//helper function to check file existance
function UrlExists(url)
{
var http = new XMLHttpRequest();
http.open('HEAD', url, false);
http.send();
return http.status!=404;

T elval auto;

Y€ OXETIKEG oulnTNOoELg elxe ouppwvnBel n avtioToiylon avdyeoa o T} Tou metadata key "OS" [m.x. redhat] kat Tou etkovidiou mou
Xxpnotuoroteitat [r.X. redhat-on.png] va yivetat amnd to Ul, péow evdg dictionary 1} AAANG oTaTikAg Soung.

O napandvw kwdKag TPETEL va puUYeL, OOTL (a) eTiBapuvel pe €ETpa KAOELg oTov server, pia yia kdbe ewkovidio (1), autd dev elval
scalable kat (B) elvat pia xapd rmyn yta peAAovTikd npofAripata acpdAelag, agpou xpnotuorolel dedousva Tou epvAeL o
[kakdBouiog] xpriotng (apydtepa uropel va undpyouv Kat shared images, yla Ta omola 8€touv dAAoL xprioTeg Ta metadata), yla va
anogaoioet oo URI Ba {ntrioeL.

O kwdkag Ba aAd&etl woTe n avtioTowyia va elvat ZTATIKH, kat to Ul va {ntdet npdyuaTta mou eivat eAeypgva aopahri. Av to
metadata key elval €va and ouykekplpeva keys, to Ul pe t pia Ba E€pet oo apxelo va {nTtrioet, aAALwg {nTdeL To £KoVIdLO
"unknown", TIou TEPLEXEL £va EPWTNHUATLKS 1} 0, TdTIOTE AAAO:

icon = { 'redhat": ('redhat-on.png’, 'redhat-off'.png), 'debian’: ('debian-on.png', 'debian-off.png’), ... }

Aev amokAeileTal autdg o KWOLKAG va elvat 0 Adyoq yia 1o #477.
‘Onwg kat va €xet, 6a puyeL.

Related issues:
related to Synnefo - Feature # 257: Xelplopdg "OS" metadata key yia epgdvion ... Closed 03/08/2011 04/08/2011
related to Synnefo - Bug # 477: e Opera dev gpgpavifovtal Ta eKovidla Twv pn... Closed 05/10/2011

Associated revisions

Revision 2b11be38 - 05/11/2011 04:28 pm - Mike Muzurakis

use an array to check for vm icon, Refs #481

History

#1 - 05/11/2011 04:44 pm - Mike Muzurakis
- Status changed from Assigned to Feedback
- Assignee changed from Dimitris Moraitis to Mike Muzurakis

10 commit:2b11be38 €kava kATt mapamnAioto:

Na va pn xpeldletat kdbe popd Tou PoTBETOUPE Eva VED image va avavewvouue Kat KAroLo array 1j dict, To array katackeud{etat Tnv 1n ¢opd omnou
oUtwg 1 AMwg {ntdpe 6Aha ta images. INa kdbe image, mpooTtiBetal To OS value Tou €xelL 0Ta metadata Tou KL €T0L kaTtaokeudletal To array ye Ta OS
keys.

AuTti n mpoo€yylon dlopBuwivel To apandvw AdBog atnv uloroinon, xwplq va anatte(tal n Unapén kat avaveéwan evog otatikou dict kdBe popd, evw
oL TIPEG Tou maipvel elvat acpaleig agou npogpxovtat and Ta metadata twv images kat Xt Twv VMs. Elvat ok autr n Alon 1} undpxet kat kdrota
AdAAn autia rou pou dtagpelyetl Tou amattel oTatikd dict omdTe va To uAomotjow Onwg TiepLypdapeTal mapandvw?

Xppy, Twpa npdoeta 1o "apydtepa pnopel va undpxouv kat shared images, yta ta oroia 8€touv dAAot xprioTteq Ta metadata”. AN kat o auTtrv TNV
nepinTwon unoBETw Tiwg TPETEL NON o€ client y/kat server side va pnv €xeL erutpanel n etoaywyr malicious code wg metadata value. To av 6a pnaivet
oTo array yla va kdvel display Tnv eikéva dev €xel Wlaitepn onuaacia, agpou to metadata OS tou image yivetat display kat o€ dAAa onyeia.

Y& KdBe mepintwon av pou dlageUyel KATL uropoUe va To UAoTtotjooupe Je static dict, av kat 8a onuaivel €va erunAgov onuelo avaveéwong kdbe popd
Tou nipooTiBetal image pe véo OS.

#2 - 05/11/2011 04:54 pm - Christos Psaltis

- Target version set to v0.4

#3 - 05/16/2011 02:23 pm - Vangelis Koukis

- Status changed from Feedback to Closed

OK, apou autr tn oTLyun €xoupe oTatikd images, autd dev eival mpdRAnua. Mpenet va gpavel otnv Tekunpiwon To nwg AstToupyoulv Ta elkovidla,
waoTe drolog To avahdpel apydtepa, 6tav Ba undpxouv custom images, va To EEpeL.

Eniong, iTav owotr n apxtkn ektipnon 6Tt autd to bug rjtav n attia kat yia To #477, twpa nailet.

To KAelvw.

#4 - 02/08/2013 06:46 pm - Vangelis Koukis

- Category set to old_synnefo
